com.fasterxml.jackson.module.afterburner.deser

## Class SettableObjectFieldProperty

- java.lang.Object
- - com.fasterxml.jackson.databind.deser.SettableBeanProperty
  - - com.fasterxml.jackson.module.afterburner.deser.SettableObjectFieldProperty

All Implemented Interfaces:
  com.fasterxml.jackson.databind.BeanProperty, com.fasterxml.jackson.databind.util.Named, Serializable

    public final class SettableObjectFieldProperty
    extends com.fasterxml.jackson.databind.deser.SettableBeanProperty

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.fasterxml.jackson.databind.BeanProperty

`com.fasterxml.jackson.databind.BeanProperty.Std`

### Field Summary

Fields
`protected int` `_optimizedIndex`
`protected com.fasterxml.jackson.databind.deser.SettableBeanProperty` `_originalSettable` We will need to keep the original instance handy as some calls are best just delegated
`protected BeanPropertyMutator` `_propertyMutator`

### Fields inherited from class com.fasterxml.jackson.databind.deser.SettableBeanProperty

`_contextAnnotations, _managedReferenceName, _metadata, _nullProvider, _objectIdInfo, _propertyIndex, _propName, _type, _valueDeserializer, _valueTypeDeserializer, _viewMatcher, _wrapperName, MISSING_VALUE_DESERIALIZER`

### Constructor Summary

Constructors
Constructor and Description
`SettableObjectFieldProperty(com.fasterxml.jackson.databind.deser.SettableBeanProperty src, BeanPropertyMutator mutator, int index)`
`SettableObjectFieldProperty(SettableObjectFieldProperty src, com.fasterxml.jackson.databind.JsonDeserializer<?> deser)`
`SettableObjectFieldProperty(SettableObjectFieldProperty src, com.fasterxml.jackson.databind.PropertyName name)`

### Method Summary

Methods
`protected String` `_convertToString(com.fasterxml.jackson.core.JsonParser jp, com.fasterxml.jackson.databind.DeserializationContext ctxt)` Helper method for coercing JSON values other than Strings into Java String value.
`protected int` `_deserializeInt(com.fasterxml.jackson.core.JsonParser jp, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
`protected long` `_deserializeLong(com.fasterxml.jackson.core.JsonParser jp, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
`protected String` `_deserializeString(com.fasterxml.jackson.core.JsonParser jp, com.fasterxml.jackson.databind.DeserializationContext ctxt)`
`void` `deserializeAndSet(com.fasterxml.jackson.core.JsonParser jp, com.fasterxml.jackson.databind.DeserializationContext ctxt, Object bean)`
`Object` `deserializeSetAndReturn(com.fasterxml.jackson.core.JsonParser jp, com.fasterxml.jackson.databind.DeserializationContext ctxt, Object instance)`
`<A extends Annotation> A` `getAnnotation(Class<A> ann)`
`com.fasterxml.jackson.databind.introspect.AnnotatedMember` `getMember()`
`void` `set(Object bean, Object value)`
`Object` `setAndReturn(Object instance, Object value)`
`SettableObjectFieldProperty` `withMutator(BeanPropertyMutator mut)`
`SettableObjectFieldProperty` `withName(com.fasterxml.jackson.databind.PropertyName name)`
`SettableObjectFieldProperty` `withValueDeserializer(com.fasterxml.jackson.databind.JsonDeserializer<?> deser)`

### Methods inherited from class com.fasterxml.jackson.databind.deser.SettableBeanProperty

`_throwAsIOE, _throwAsIOE, assignIndex, depositSchemaProperty, deserialize, getContextAnnotation, getCreatorIndex, getDeclaringClass, getFullName, getInjectableValueId, getManagedReferenceName, getMetadata, getName, getObjectIdInfo, getPropertyIndex, getType, getValueDeserializer, getValueTypeDeserializer, getWrapperName, hasValueDeserializer, hasValueTypeDeserializer, hasViews, isRequired, setManagedReferenceName, setObjectIdInfo, setViews, toString, visibleInView, withName, withSimpleName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### _originalSettable

    protected final com.fasterxml.jackson.databind.deser.SettableBeanProperty _originalSettable

We will need to keep the original instance handy as some calls are best just delegated

#### _propertyMutator

    protected final BeanPropertyMutator _propertyMutator

#### _optimizedIndex

    protected final int _optimizedIndex

### Constructor Detail

#### SettableObjectFieldProperty

    public SettableObjectFieldProperty(com.fasterxml.jackson.databind.deser.SettableBeanProperty src,
                               BeanPropertyMutator mutator,
                               int index)

#### SettableObjectFieldProperty

    public SettableObjectFieldProperty(SettableObjectFieldProperty src,
                               com.fasterxml.jackson.databind.JsonDeserializer<?> deser)

#### SettableObjectFieldProperty

    public SettableObjectFieldProperty(SettableObjectFieldProperty src,
                               com.fasterxml.jackson.databind.PropertyName name)

### Method Detail

#### withName

    public SettableObjectFieldProperty withName(com.fasterxml.jackson.databind.PropertyName name)

Specified by:
  `withName` in class `com.fasterxml.jackson.databind.deser.SettableBeanProperty`

#### withValueDeserializer

    public SettableObjectFieldProperty withValueDeserializer(com.fasterxml.jackson.databind.JsonDeserializer<?> deser)

#### withMutator

    public SettableObjectFieldProperty withMutator(BeanPropertyMutator mut)

#### deserializeAndSet

    public void deserializeAndSet(com.fasterxml.jackson.core.JsonParser jp,
                         com.fasterxml.jackson.databind.DeserializationContext ctxt,
                         Object bean)
                           throws IOException,
                                  com.fasterxml.jackson.core.JsonProcessingException

Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`

#### set

    public void set(Object bean,
           Object value)
             throws IOException

Throws:
  `IOException`

#### deserializeSetAndReturn

    public Object deserializeSetAndReturn(com.fasterxml.jackson.core.JsonParser jp,
                                 com.fasterxml.jackson.databind.DeserializationContext ctxt,
                                 Object instance)
                                   throws IOException,
                                          com.fasterxml.jackson.core.JsonProcessingException

Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`

#### getAnnotation

    public <A extends Annotation> A getAnnotation(Class<A> ann)

Specified by:
  `getAnnotation` in interface `com.fasterxml.jackson.databind.BeanProperty`
Specified by:
  `getAnnotation` in class `com.fasterxml.jackson.databind.deser.SettableBeanProperty`

#### getMember

    public com.fasterxml.jackson.databind.introspect.AnnotatedMember getMember()

Specified by:
  `getMember` in interface `com.fasterxml.jackson.databind.BeanProperty`
Specified by:
  `getMember` in class `com.fasterxml.jackson.databind.deser.SettableBeanProperty`

#### setAndReturn

    public Object setAndReturn(Object instance,
                      Object value)
                        throws IOException

Specified by:
  `setAndReturn` in class `com.fasterxml.jackson.databind.deser.SettableBeanProperty`
Throws:
  `IOException`

#### _deserializeInt

    protected final int _deserializeInt(com.fasterxml.jackson.core.JsonParser jp,
                      com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                 throws IOException,
                                        com.fasterxml.jackson.core.JsonProcessingException

Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`

#### _deserializeLong

    protected final long _deserializeLong(com.fasterxml.jackson.core.JsonParser jp,
                        com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                   throws IOException,
                                          com.fasterxml.jackson.core.JsonProcessingException

Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`

#### _deserializeString

    protected final String _deserializeString(com.fasterxml.jackson.core.JsonParser jp,
                            com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                       throws IOException,
                                              com.fasterxml.jackson.core.JsonProcessingException

Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`

#### _convertToString

    protected final String _convertToString(com.fasterxml.jackson.core.JsonParser jp,
                          com.fasterxml.jackson.databind.DeserializationContext ctxt)
                                     throws IOException,
                                            com.fasterxml.jackson.core.JsonProcessingException

Helper method for coercing JSON values other than Strings into Java String value.

Throws:
  `IOException`
  `com.fasterxml.jackson.core.JsonProcessingException`